#!/usr/bin/ruby -Ks
#
require '/opt/yklook/swing'
require '/opt/yklook/swingborder'

class ButtonMisc < YKLookMain

	IMGNAMES = [ "dot_008.gif", "nature_032s.gif", "dot_053.gif",
				 "dot_055.gif", "animal_074s.gif", "animal_045s.gif" ]

	def yki_size()
		return [600, 500]
	end

	def yki_title()
		return '{^낢'
	end

	def yki_make_display()
		imgs = []
		IMGNAMES.each() do |img|
			imgs << YKLookImage.yk_from_file( img )
		end

		basePan = YKLookPanelGrid.new( 2, 2, [10, 10] )
		charPan = YKLookPanelFlow.new()
		sizePan = YKLookPanelFlow.new()
		iconPan = YKLookPanelFlow.new()
		bothPan = YKLookPanelFlow.new()

		charPan.yk_set_border( nil, "̂" )
		sizePan.yk_set_border( nil, "{^̂̑傫" )
		iconPan.yk_set_border( nil, "摜t" )
		bothPan.yk_set_border( nil, "Ɖ摜" )

		btnCharNormal = YKLookButton.new( "ʂ̃{^" )
		btnCharColor  = YKLookButton.new( "̐Fw" )
		btnCharFont   = YKLookButton.new( "tHgw" )
		btnCharCmplx  = YKLookButton.new( "<html><font color=red>F</font>w<font color=blue></font>ł܂</html>" )
		btnSizeBig    = YKLookButton.new( "傫ȃ{^" )
		btnSizeLines  = YKLookButton.new("<html><br>sł<br>nj</html>")
		btnIconSmall  = YKLookButton.new( imgs[0] )
		btnIconBig    = YKLookButton.new( imgs[1] )
		btnBothRight  = YKLookButton.new(  "Eɕ", imgs[2] )
		btnBothLeft   = YKLookButton.new(  "ɕ", imgs[3] )
		btnBothBottom = YKLookButton.new(  "ɕ", imgs[4] )
		btnBothTop    = YKLookButton.new(  "ɕ", imgs[5] )

		btnCharColor.yk_set_fore( YKLookColor.new( 'red' ) )
		btnCharFont .yk_set_font( YKLookFont.new( nil, 'B', 20 ) )
		btnSizeBig  .yk_set_preferred_size( 200, 80 )
		btnSizeLines.yk_set_preferred_size( 200, 80 )

		btnBothRight .yk_set_text_position( 'R' )
		btnBothLeft  .yk_set_text_position( 'L' )
		btnBothBottom.yk_set_text_position( 'B' )
		btnBothTop   .yk_set_text_position( 'T' )

		charPan.yk_add( btnCharNormal )
		charPan.yk_add( btnCharColor )
		charPan.yk_add( btnCharFont )
		charPan.yk_add( btnCharCmplx )
		sizePan.yk_add( btnSizeBig )
		sizePan.yk_add( btnSizeLines )
		iconPan.yk_add( btnIconSmall )
		iconPan.yk_add( btnIconBig )
		bothPan.yk_add( btnBothRight )
		bothPan.yk_add( btnBothLeft )
		bothPan.yk_add( btnBothBottom )
		bothPan.yk_add( btnBothTop )
		basePan.yk_add( charPan )
		basePan.yk_add( sizePan )
		basePan.yk_add( iconPan )
		basePan.yk_add( bothPan )
		yk_add( basePan )
	end

	##def yki_laf_is_system()
	##	return false
	##end
	# def yki_fr_need_pack()
	#	return true
	# end
	# def yki_ht_farpath()
	#	return [ '/tools' , nil ]
	# end
end

YKLookMain.yk_mainloop( ButtonMisc.new() )

#
# end of program
